<div class="d-flex justify-content-center mb-3">
<nav>
  <ul class="pagination">
    {% if objects.has_previous %}
    <li class="page-item"><a class="page-link" href="
      ?page={{ objects.previous_page_number }}{% if searchTerm and searchTerm != ''%}&name={{searchTerm}}{% endif %}
    ">Previous</a></li>
    {% endif %}
    {% for i in objects.paginator.page_range %}
      {% if i < objects.number|add:"-5" or i > objects.number|add:"5" %}
      {% else %}
        {% if objects.number == i %}
          <li class="page-item"><a class="page-link text-secondary" href="#">{{ objects.number }}</a></li>
        {% else %}
          <li class="page-item"><a class="page-link" href="
            ?page={{ i }}{% if searchTerm and searchTerm != ''%}&name={{searchTerm}}{% endif %}
          ">
            {% if i == objects.number|add:"-5" or i == objects.number|add:"5" %}
              ...
            {% else %}
              {{ i }}
            {% endif %}
          </a></li>
        {% endif %}
      {% endif %}
    {% endfor %}
    {% if objects.has_next %}
    <li class="page-item"><a class="page-link" href="
      ?page={{ objects.next_page_number }}{% if searchTerm and searchTerm != ''%}&name={{searchTerm}}{% endif %}
    ">Next</a></li>
    {% endif %}
  </ul>
</nav>
</div>
